# $Revision: 1.11 $, $Date: 2010/06/06 08:39:00 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Fractal-Mandelbrot
Summary:	Math::Fractal::Mandelbrot - calculate points in the Mandelbrot fractal
Summary(pl.UTF-8):	Math::Fractal::Mandelbrot - obliczanie punktów we fraktalu Mandelbrota
Name:		perl-Math-Fractal-Mandelbrot
Version:	0.04
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b3658ce83d925e109b678dfcfa21dabf
URL:		http://search.cpan.org/dist/Math-Fractal-Mandelbrot/
BuildRequires:	perl-YAML
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module calculates points, horizontal/vertical stripes or
rectangular areas of the famous Mandelbrot fractal.

%description -l pl.UTF-8
Ten moduł oblicza punkty, poziome lub pionowe pasy lub prostokątne
obszary słynnego fraktala Mandelbrota.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES CREDITS README TODO
%dir %{perl_vendorarch}/Math/Fractal
%{perl_vendorarch}/Math/Fractal/Mandelbrot.pm
%dir %{perl_vendorarch}/auto/Math/Fractal
%dir %{perl_vendorarch}/auto/Math/Fractal/Mandelbrot
%{perl_vendorarch}/auto/Math/Fractal/Mandelbrot/Mandelbrot.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Math/Fractal/Mandelbrot/Mandelbrot.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Fractal-Mandelbrot.spec,v $
Revision 1.11  2010/06/06 08:39:00  arekm
- release 3

Revision 1.10  2008/02/10 12:14:47  arekm
- rel 2

Revision 1.9  2008-01-10 08:38:39  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.8  2007-12-24 13:56:57  qboosh
- generic URL

Revision 1.7  2007-12-24 01:26:32  zbyniu
- up to 0.04

Revision 1.6  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.4  2004/11/03 22:30:34  paladine
- formatting

Revision 1.3  2004/05/06 18:43:17  ankry
- fixed perl-devel BR

Revision 1.2  2004/04/23 07:50:17  ankry
- license fixes, unification

Revision 1.1  2003/10/25 18:16:29  qboosh
- new
